%define upstream_name 	 XML-DT
%define upstream_version 0.69

%define req_xml_libxml_version %perl_convert_version 1.54

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    A perl XML down translate module
License:    GPL
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    ftp://ftp.perl.org/pub/CPAN/modules/by-module/XML/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.170.0
BuildRequires: perl(HTTP::Simple)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::More) >= 0.400.0
BuildRequires: perl(XML::DTDParser) >= 2.0.0
BuildRequires: perl(XML::LibXML) >= 1.540.0
BuildRequires: perl(parent)
BuildArch:  noarch

Requires:   perl-XML-LibXML >= %{req_xml_libxml_version}
%description
The XML::DT module is a perl module that does XML down translation.
Based on XML::LibXML, it is designed to perform simple and
compact translation/processing of XML documents.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
chmod 755 examples/*.pl
%__perl Makefile.PL INSTALLDIRS=vendor <<EOF
XML::LibXML
EOF
%make

%check
rm -f t/pod.t
%{__make} test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README examples
%{_bindir}/*
%{_mandir}/*/*
%{perl_vendorlib}/XML

%changelog
* Sat Feb 15 2020 umeabot <umeabot> 0.690.0-2.mga8
+ Revision: 1527746
- Mageia 8 Mass Rebuild

* Sat Jun 29 2019 shlomif <shlomif> 0.690.0-1.mga8
+ Revision: 1415875
- update to 0.69

* Wed Sep 19 2018 umeabot <umeabot> 0.680.0-4.mga7
+ Revision: 1272749
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.680.0-3.mga6
+ Revision: 1035908
- Rebuild for perl 5.22.2

* Sat Feb 20 2016 umeabot <umeabot> 0.680.0-2.mga6
+ Revision: 971343
- Mageia 6 Mass Rebuild

* Wed Oct 14 2015 sander85 <sander85> 0.680.0-1.mga6
+ Revision: 891606
- update to 0.68

* Tue Jun 30 2015 sander85 <sander85> 0.670.0-1.mga6
+ Revision: 848844
- update to 0.67

* Wed Oct 15 2014 umeabot <umeabot> 0.660.0-3.mga5
+ Revision: 742707
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.660.0-2.mga5
+ Revision: 686907
- Mageia 5 Mass Rebuild

* Sat Aug 16 2014 sander85 <sander85> 0.660.0-1.mga5
+ Revision: 664026
- update to 0.66

* Fri Aug 01 2014 sander85 <sander85> 0.650.0-1.mga5
+ Revision: 659118
- update to 0.65

* Sat Oct 19 2013 umeabot <umeabot> 0.630.0-2.mga4
+ Revision: 527432
- Mageia 4 Mass Rebuild

* Fri Jun 07 2013 jquelin <jquelin> 0.630.0-1.mga4
+ Revision: 440095
- update to 0.63

* Sun Jan 13 2013 umeabot <umeabot> 0.620.0-2.mga3
+ Revision: 374969
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jul 04 2012 jquelin <jquelin> 0.620.0-1.mga3
+ Revision: 267526
- update to 0.62

* Sat Jun 09 2012 jquelin <jquelin> 0.590.0-1.mga3
+ Revision: 258884
- update to 0.59

* Tue Jun 05 2012 jquelin <jquelin> 0.580.0-1.mga3
+ Revision: 255816
- update to 0.58
- remove bogus authoring test

* Sat Feb 26 2011 jquelin <jquelin> 0.560.0-1.mga1
+ Revision: 60410
- update to 0.56

* Sun Jan 23 2011 jquelin <jquelin> 0.540.0-1.mga1
+ Revision: 34473
- mageia rebuild
- imported package perl-XML-DT


* Sun Nov 28 2010 Guillaume Rousse <guillomovitch@mandriva.org> 0.540.0-1mdv2011.0
+ Revision: 602395
- update to new version 0.54

* Mon Aug 03 2009 Jérôme Quelin <jquelin@mandriva.org> 0.530.0-1mdv2010.0
+ Revision: 408232
- rebuild using %%perl_convert_version

* Mon Jan 19 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.53-1mdv2009.1
+ Revision: 331172
- update to new version 0.53
- update to new version 0.53

* Thu Oct 23 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.52-1mdv2009.1
+ Revision: 296762
- update to new version 0.52

* Fri Aug 01 2008 Thierry Vignaud <tv@mandriva.org> 0.51-4mdv2009.0
+ Revision: 258830
- rebuild

* Thu Jul 24 2008 Thierry Vignaud <tv@mandriva.org> 0.51-3mdv2009.0
+ Revision: 246722
- rebuild

* Mon Feb 25 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.51-1mdv2008.1
+ Revision: 174664
- update to new version 0.51

* Fri Feb 22 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.50-1mdv2008.1
+ Revision: 173893
- update to new version 0.50

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 0.47-1mdv2008.1
+ Revision: 136365
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request


* Mon Dec 11 2006 Olivier Thauvin <nanardon@mandriva.org> 0.47-1mdv2007.0
+ Revision: 94577
- 0.47
- Import perl-XML-DT

* Tue May 30 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.45-1mdv2007.0
- New release 0.45
- fix directory ownership
- spec cleanup

* Thu May 04 2006 Nicolas Lécureuil <neoclust@mandriva.org> 0.42-2mdk
- Fix According to perl Policy
	- BuildRequires
	- Source URL
	- URL
- use mkrel

* Tue Sep 27 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.42-1mdk
- 0.42

* Tue Jul 26 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.41-1mdk
- 0.41

* Tue Apr 26 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.40-1mdk
- 0.40

* Wed Mar 23 2005 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.39-1mdk
- 0.39

* Tue Jan 11 2005 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.38-1mdk
- 0.38

* Wed Nov 24 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.37-1mdk
- 0.37
- Adjust BuildRequires

* Tue Nov 16 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.35-1mdk
- 0.35

* Tue Nov 09 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.34-1mdk
- 0.34

* Tue Aug 24 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.31-1mdk
- 0.31
- Update description

* Thu Apr 22 2004 Michael Scherer <misc@mandrake.org> 0.30-1mdk
- 0.30
- Remove hardcoded Requires
- add url, rpmbuildupdate
- [DIRM]

